#!/usr/bin/env python

palette = [['stone', [77, 77, 77]],
 ['stone ["stone_type":"granite"]', [104, 78, 68]],
 ['stone ["stone_type":"granite_smooth"]', [107, 78, 66]],
 ['stone ["stone_type":"diorite"]', [122, 122, 124]],
 ['stone ["stone_type":"diorite_smooth"]', [124, 124, 125]],
 ['stone ["stone_type":"andesite"]', [89, 89, 89]],
 ['stone ["stone_type":"andesite_smooth"]', [89, 89, 90]],
 ['planks', [96, 78, 48]],
 ['planks ["wood_type":"spruce"]', [68, 51, 31]],
 ['planks ["wood_type":"birch"]', [130, 118, 82]],
 ['planks ["wood_type":"jungle"]', [102, 73, 51]],
 ['planks ["wood_type":"acacia"]', [113, 61, 34]],
 ['planks ["wood_type":"dark_oak"]', [41, 27, 12]],
 ['sponge', [130, 131, 57]],
 ['lapis_block', [26, 45, 92]],
 ['sandstone', [131, 127, 96]],
 ['sandstone ["sand_stone_type":"heiroglyphs"]', [144, 139, 104]],
 ['sandstone ["sand_stone_type":"cut"]', [145, 140, 107]],
 ['wool', [136, 136, 136]],
 ['wool ["color": "orange"]', [143, 78, 33]],
 ['wool ["color": "magenta"]', [117, 46, 123]],
 ['wool ["color": "light_blue"]', [64, 85, 130]],
 ['wool ["color": "yellow"]', [119, 111, 17]],
 ['wool ["color": "lime"]', [36, 116, 29]],
 ['wool ["color": "pink"]', [133, 81, 95]],
 ['wool ["color": "gray"]', [41, 41, 41]],
 ['wool ["color": "silver"]', [97, 101, 101]],
 ['wool ["color": "cyan"]', [24, 72, 92]],
 ['wool ["color": "purple"]', [79, 33, 120]],
 ['wool ["color": "blue"]', [24, 31, 94]],
 ['wool ["color": "brown"]', [53, 31, 17]],
 ['wool ["color": "green"]', [34, 47, 15]],
 ['wool ["color": "red"]', [100, 27, 25]],
 ['wool ["color": "black"]', [16, 14, 14]],
 ['gold_block', [167, 159, 53]],
 ['iron_block', [147, 147, 147]],
 # ['double_stone_slab', [121, 121, 121]],
 # ['double_stone_slab ["stone_slab_type":"sandstone"]', [131, 127, 96]],
 # ['double_stone_slab ["stone_slab_type":"wood"]', [72, 72, 72]],
 # ['double_stone_slab ["stone_slab_type":"cobblestone"]', [155, 80, 59]],
 # ['double_stone_slab ["stone_slab_type":"brick"]', [102, 102, 102]],
 # ['double_stone_slab ["stone_slab_type":"stone_brick"]', [38, 19, 22]],
 # ['double_stone_slab ["stone_slab_type":"quartz"]', [158, 156, 152]],
 # ['double_stone_slab ["stone_slab_type":""]', [107, 107, 107]],
 # ['double_stone_slab ["stone_slab_type":""]', [146, 141, 106]],
 ['brick_block', [155, 80, 59]],
 ['bookshelf', [101, 82, 52]],
 ['diamond_block', [66, 147, 143]],
 # ['snow_layer', [240, 251, 251]],
 ['snow', [147, 154, 154]],
 ['clay', [97, 101, 108]],
 ['glowstone', [85, 70, 41]],
 ['lit_pumpkin', [142, 93, 18]],
 # ['stained_glass', [125, 125, 125]],
 # ['stained_glass 1', [109, 74, 45]],
 # ['stained_glass 2', [94, 55, 109]],
 # ['stained_glass 3', [65, 85, 109]],
 # ['stained_glass 4', [114, 114, 45]],
 # ['stained_glass 5', [74, 105, 35]],
 # ['stained_glass 6', [119, 74, 89]],
 # ['stained_glass 7', [55, 55, 55]],
 # ['stained_glass 8', [85, 85, 85]],
 # ['stained_glass 9', [55, 74, 85]],
 # ['stained_glass 10', [113, 92, 129]],
 # ['stained_glass 11', [88, 96, 129]],
 # ['stained_glass 12', [105, 96, 88]],
 # ['stained_glass 13', [105, 113, 88]],
 # ['stained_glass 14', [121, 88, 88]],
 # ['stained_glass 15', [79, 79, 79]],
 ['stonebrick', [102, 102, 102]],
 ['stonebrick ["stone_brick_type":"mossy"]', [96, 100, 89]],
 ['stonebrick ["stone_brick_type":"cracked"]', [99, 99, 99]],
 ['stonebrick ["stone_brick_type":"chiseled"]', [78, 78, 78]],
 ['melon_block', [123, 126, 31]],
 ['nether_brick', [38, 19, 22]],
 ['double_wooden_slab', [96, 78, 48]],
 ['double_wooden_slab ["wood_type":"oak"]', [68, 51, 31]],
 ['double_wooden_slab ["wood_type":"spruce"]', [130, 118, 82]],
 ['double_wooden_slab ["wood_type":"birch"]', [102, 73, 51]],
 ['double_wooden_slab ["wood_type":"jungle"]', [113, 61, 34]],
 ['double_wooden_slab ["wood_type":"acacia"]', [41, 27, 12]],
 ['emerald_block', [53, 144, 77]],
 # ['cobblestone_wall', [78, 78, 78]],
 # ['cobblestone_wall 1', [65, 78, 65]],
 ['quartz_block', [158, 156, 152]],
 ['quartz_block ["chisel_type":"chiseled"]', [155, 153, 148]],
 ['quartz_block ["chisel_type":"lines"]', [156, 154, 149]],
 ['stained_hardened_clay', [140, 119, 108]],
 ['stained_hardened_clay ["color":"orange"]', [108, 56, 25]],
 ['stained_hardened_clay ["color":"magenta"]', [100, 59, 73]],
 ['stained_hardened_clay ["color":"light_blue"]', [76, 73, 92]],
 ['stained_hardened_clay ["color":"yellow"]', [125, 89, 24]],
 ['stained_hardened_clay ["color":"lime"]', [69, 79, 35]],
 ['stained_hardened_clay ["color":"pink"]', [108, 52, 53]],
 ['stained_hardened_clay ["color":"gray"]', [39, 28, 24]],
 ['stained_hardened_clay ["color":"silver"]', [91, 72, 65]],
 ['stained_hardened_clay ["color":"cyan"]', [58, 61, 61]],
 ['stained_hardened_clay ["color":"purple"]', [79, 47, 58]],
 ['stained_hardened_clay ["color":"blue"]', [50, 40, 61]],
 ['stained_hardened_clay ["color":"brown"]', [52, 34, 24]],
 ['stained_hardened_clay ["color":"green"]', [51, 56, 28]],
 ['stained_hardened_clay ["color":"red"]', [96, 41, 31]],
 ['stained_hardened_clay ["color":"black"]', [25, 15, 11]],
 ['slime', [96, 135, 86]],
 ['prismarine', [69, 97, 98]],
 ['prismarine ["prismarine_block_type":"bricks"]', [67, 108, 96]],
 ['prismarine ["prismarine_block_type":"dark"]', [41, 59, 51]],
 ['hay_block', [109, 85, 12]],
 ['hardened_clay', [101, 62, 45]],
 ['coal_block', [12, 12, 12]],
 ['red_sandstone', [111, 57, 20]],
 ['red_sandstone ["sand_stone_type":"heiroglyphs"]', [110, 56, 19]],
 ['purpur_block', [112, 82, 112]],
 # ['purpur_pillar', [114, 85, 114]],
 ['end_bricks', [152, 156, 115]],
 ['bone_block', [145, 142, 128]]
 ]
